<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_OUTSTANDING_PO_SEARCH';
$path_to_root = "../..";

include($path_to_root . "/includes/db_pager.inc");
include($path_to_root . "/includes/session.inc");
include($path_to_root . "/purchasing/includes/ui/purchasing_ui.inc");
include_once($path_to_root . "/reporting/includes/reporting.inc");
include_once($path_to_root . "/purchasing/includes/db/po_inquiry_db.inc");


$js = "";
if ($SysPrefs->use_popup_windows)
	$js .= get_js_open_window(900, 500);
if (user_use_date_picker())
	$js .= get_js_date_picker();
page(_($help_context = "Search Outstanding Purchase Orders"), false, false, "", $js);

if (isset($_GET['order_number']))
{
	$_POST['order_number'] = $_GET['order_number'];
}
//-----------------------------------------------------------------------------------
// Ajax updates
//
//if (get_post('SearchOrders')) 
//{
//	$Ajax->activate('orders_tbl');
//} elseif (get_post('_order_number_changed')) 
//{
//	$disable = get_post('order_number') !== '';
//
//	$Ajax->addDisable(true, 'OrdersAfterDate', $disable);
//	$Ajax->addDisable(true, 'OrdersToDate', $disable);
//	$Ajax->addDisable(true, 'StockLocation', $disable);
//	$Ajax->addDisable(true, '_SelectStockFromList_edit', $disable);
//	$Ajax->addDisable(true, 'SelectStockFromList', $disable);
//
//	if ($disable) {
//		$Ajax->addFocus(true, 'order_number');
//	} else
//		$Ajax->addFocus(true, 'OrdersAfterDate');
//
//	$Ajax->activate('orders_tbl');
//}
//

//---------------------------------------------------------------------------------------------

start_form();

start_table(TABLESTYLE_NOBORDER);
start_row();
ref_cells(_("#:"), 'order_number', '',null, '', true);
ref_cells(_("Reference:"), 'order_reference', '',null, '', true);
date_cells(_("from:"), 'OrdersAfterDate', '', null, -30);
date_cells(_("to:"), 'OrdersToDate');

locations_list_cells(_("Location:"), 'StockLocation', null, true, true);
end_row();
end_table();

start_table(TABLESTYLE_NOBORDER);
start_row();

supplier_list_cells("Supplier:", 'supplier_id', null, 'Select a Supplier', true);

stock_items_list_cells(_("Item:"), 'SelectStockFromList', null, true);

submit_cells('SearchOrders', _("Search"),'',_('Select documents'), 'default');
end_row();
end_table(1);
//---------------------------------------------------------------------------------------------
function trans_view($trans)
{
	return get_trans_view_str(ST_PURCHORDER, $trans["order_no"]);
}

function edit_link($row) 
{
    if(!($row['approval_status'] == AS_NEW || $row['approval_status'] == AS_WITH_THE_APPROVER || 
            $row['approval_status'] == AS_AWAITING_APPROVAL || $row['approval_status'] == AS_BACK_TO_ORIGINATOR)){
        return '';
    }
  
    return pager_link( _("Edit"),
	"/purchasing/po_entry_items.php?ModifyOrderNumber=" . $row["order_no"], ICON_EDIT);
}

function prt_link($row)
{
    if($row['approval_status'] != "A")
                return null;

    return print_document_link($row['order_no'], _("Print"), true, 18, ICON_PRINT);
}

function receive_link($row) 
{
    if($row['approval_status'] != AS_APPROVED)
                return null;
    
    return pager_link( _("Receive"), "/purchasing/outstanding_direct_purchase_requisitions.php?PONumber=" . $row["order_no"], ICON_RECEIVE);
    
    return pager_link( _("Receive"),
	"/purchasing/po_receive_items.php?PONumber=" . $row["order_no"], ICON_RECEIVE);
}

function pr_link($row) 
{
    if($row['approval_status'] != AS_APPROVED)
                return null;
    
        
    return pager_link( _("GRN Issue"), "/purchasing/grn_issues.php?PONumber=" . $row["order_no"], ICON_RECEIVE);
   
}


function check_overdue($row)
{
	return $row['OverDue'] > 0;
}

function status_name($row)
{
    global  $approval_statuses;
    
    return $approval_statuses[$row['approval_status'] ];
    
}

//---------------------------------------------------------------------------------------------

if (isset($_POST['order_number']) && ($_POST['order_number'] != ""))
{
	$order_number = $_POST['order_number'];
}

if (isset($_POST['SelectStockFromList']) && ($_POST['SelectStockFromList'] != "") &&
	($_POST['SelectStockFromList'] != $all_items))
{
 	$selected_stock_item = $_POST['SelectStockFromList'];
}
else
{
	unset($selected_stock_item);
}

//figure out the sql required from the inputs available
$sql = get_sql_for_outstanding_po_search(get_post('order_number'), get_post('order_reference'), get_post('OrdersAfterDate'), get_post('OrdersToDate'), 
                                            get_post('StockLocation'), get_post('supplier_id'), get_post('SelectStockFromList'));
                                       

//$result = db_query($sql,"No orders were returned");

/*show a table of the orders returned by the sql */
$cols = array(
		_("#") => array('fun'=>'trans_view', 'ord'=>''), 
		_("Reference"), 
		_("Supplier") => array('ord'=>''),
		_("Location"),
		_("Supplier's Reference"), 
		_("Order Date") => array('name'=>'ord_date', 'type'=>'date', 'ord'=>'desc'),
		_("Currency") => array('align'=>'center'), 
		_("Order Total") => 'amount',
        _("Status") => array('fun'=>'status_name', 'align' => 'center'), 
		array('insert'=>true, 'fun'=>'edit_link'),
		array('insert'=>true, 'fun'=>'prt_link'),
		array('insert'=>true, 'fun'=>'receive_link')
        //array('insert'=>true, 'fun'=>'pr_link')
);

if (get_post('StockLocation') != $all_items) {
	$cols[_("Location")] = 'skip';
}

$table =& new_db_pager('orders_tbl', $sql, $cols);
$table->set_marker('check_overdue', _("Marked orders have overdue items."));

$table->width = "80%";

display_db_pager($table);

end_form();
end_page();



?>
